Skip to main content
GET
List service account secrets

Authorizations

Authorization
string
header
required

Authorization code flow with PKCE-S256. RFC 8628 device flow is also supported.

Path Parameters

accountId
string
required
Minimum string length: 1

Query Parameters

cursor
string

Opaque cursor from a previous response's next_cursor.

per_page
integer<int64>
default:30

Secrets per page.

Required range: 1 <= x <= 100

Response

OK

secrets
object[]
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"/api/v1/schemas/ListServiceAccountSecretsOutputBody.json"

next_cursor
string

Present only when more secrets remain.